Package org.eclipse.remote.core

## Interface IRemoteConnection.Service

All Known Subinterfaces:
  `IRemoteCommandShellService`, `IRemoteConnectionControlService`, `IRemoteConnectionHostService`, `IRemoteConnectionPropertyService`, `IRemoteFileService`, `IRemotePortForwardingService`, `IRemoteProcessService`, `ISerialPortService`, `IUserAuthenticatorService`

All Known Implementing Classes:
  `SerialPortConnection`, `TelnetConnection`

Enclosing interface:
  IRemoteConnection

    public static interface IRemoteConnection.Service

The interface that is extend by services provided for this remote connection.

Since:
  2.0

### Nested Class Summary

Nested Classes
`static interface` `IRemoteConnection.Service.Factory`

### Method Summary

All Methods Instance Methods Abstract Methods
`IRemoteConnection` `getRemoteConnection()`

### Method Detail

#### getRemoteConnection

    IRemoteConnection getRemoteConnection()